# FoundationClasses
TKernel
Units

# Units_Sentence Class Reference

This class describes all the methods to create and
compute an expression contained in a string.
.

`#include <Units_Sentence.hxx>`

Inheritance diagram for Units_Sentence:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Units_Sentence (const Handle(Units_Lexicon)&alexicon, const Standard_CString astring)
| Creates and returns a Sentence, by analyzing the string <astring> with the lexicon <alexicon>. .
Standard_EXPORT void | SetConstants ()
| For each constant encountered, sets the value. .
Handle_Units_TokensSequence | Sequence () const
| Returns <thesequenceoftokens>. .
void | Sequence (const Handle(Units_TokensSequence)&asequenceoftokens)
| Sets the field <thesequenceoftokens> to <asequenceoftokens>. .
Standard_EXPORT Handle_Units_Token | Evaluate ()
| Computes and returns in a token the result of the expression. .
Standard_Boolean | IsDone () const
| Return True if number of created tokens > 0 (i.e creation of sentence is succesfull) .
void | Dump () const
| Useful for debugging. .

## Private Attributes

Handle_Units_TokensSequence | thesequenceoftokens

## Constructor & Destructor Documentation

Standard_EXPORT Units_Sentence::Units_Sentence | ( | const Handle(Units_Lexicon)& | alexicon,
|  | const Standard_CString | astring
| ) |

## Member Function Documentation

void Units_Sentence::Dump | ( |  | ) | const`[inline]`

Standard_EXPORT Handle_Units_Token Units_Sentence::Evaluate | ( |  | ) |

Standard_Boolean Units_Sentence::IsDone | ( |  | ) | const`[inline]`

void Units_Sentence::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in Units_MathSentence, and Units_UnitSentence.

void* Units_Sentence::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in Units_MathSentence, and Units_UnitSentence.

void* Units_Sentence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in Units_MathSentence, and Units_UnitSentence.

void Units_Sentence::Sequence | ( | const Handle(Units_TokensSequence)& | asequenceoftokens | ) | `[inline]`

Handle_Units_TokensSequence Units_Sentence::Sequence | ( |  | ) | const

Standard_EXPORT void Units_Sentence::SetConstants | ( |  | ) |

## Field Documentation

Handle_Units_TokensSequence Units_Sentence::thesequenceoftokens `[private]`

The documentation for this class was generated from the following files:

- Units_Sentence.hxx
- Units_Sentence.lxx